Evaluator (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.align
Interface Evaluator

All Known Implementing Classes:
  BasicEvaluator, ExtPREvaluator, PRecEvaluator, SemPRecEvaluator, SymMeanEvaluator

    public interface Evaluator

Assess the closeness between two ontology alignments.

Version:
  $Id: Evaluator.java 1189 2010-01-03 17:57:13Z euzenat $
Author:
  Jérôme Euzenat

Method Summary
`double` | `eval(Properties param)` Run the evaluation between the two ontologies.
`double` | `eval(Properties param, Object cache)` Run the evaluation between the two ontologies.
`void` | `write(PrintWriter writer)` Outputs (in XML/RDF) a full report on the proximity of the two ontologies.

Method Detail

### eval

    double eval(Properties param)
                throws AlignmentException

  Run the evaluation between the two ontologies. Returns a double (between 0 and 1) providing an idea of the proximity

  Throws:
    `AlignmentException`

### eval

    double eval(Properties param,
                Object cache)
                throws AlignmentException

  Run the evaluation between the two ontologies. Returns a double (between 0 and 1) providing an idea of the proximity The additional argument allows to cache the ontologies if necessary //@deprecated The OntologyCache is now internal, use eval( params ) instead

  Throws:
    `AlignmentException`

### write

    void write(PrintWriter writer)
               throws IOException

  Outputs (in XML/RDF) a full report on the proximity of the two ontologies.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010